Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class BoundedCache

    java.lang.Object
      oracle.ifs.common.Cache
          oracle.ifs.common.BoundedCache

Direct Known Subclasses:
  BoundedLibraryObjectCache, LooselyBoundedCache

    public abstract class BoundedCache

extends Cache

An BoundedCache is a cache that is bounded to hold a limited number of items.

(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.common.Cache
`m_Configuration`

Constructor Summary
`BoundedCache(BoundedCacheConfiguration configuration)` Constructs an bounded cache.

Method Summary
`abstract void` | `lock(java.lang.Object id, java.lang.Object value)` Locks an item in this cache.
`abstract void` | `performNormalPurgeIfNeeded()` Purge Cache if a request for "normal" purge is indicated
`abstract void` | `performUrgentPurgeIfNeeded()` Purge Cache if a request for "urgent" purge is indicated

Methods inherited from class oracle.ifs.common.Cache
`dispose, find, getCacheConfiguration, getCachePerformance, getElements, put, remove, reset, resetCachePerformance, setCacheConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoundedCache

    public BoundedCache(BoundedCacheConfiguration configuration)

  Constructs an bounded cache.

  Parameters:
    `configuration` - the configuration paramaters for the new cache
  (Unpublished)

Method Detail

### lock

    public abstract void lock(java.lang.Object id,
                              java.lang.Object value)
                       throws IfsException

  Description copied from class: `BoundedCache`
  Locks an item in this cache.

  Parameters:
    `id` - the item id
    `value` - the item
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### performNormalPurgeIfNeeded

    public abstract void performNormalPurgeIfNeeded()

  Description copied from class: `BoundedCache`
  Purge Cache if a request for "normal" purge is indicated

  (Unpublished)

### performUrgentPurgeIfNeeded

    public abstract void performUrgentPurgeIfNeeded()

  Description copied from class: `BoundedCache`
  Purge Cache if a request for "urgent" purge is indicated

  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD